Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class WsdlGotoTestStep

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>
              com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStep
                  com.eviware.soapui.impl.wsdl.teststeps.WsdlGotoTestStep

All Implemented Interfaces:
  ModelItem, TestStep, PropertyChangeNotifier

    public class WsdlGotoTestStep

extends WsdlTestStep

TestStep that moves execution to another step based on the contents of a XML Property

Author:
  ole.matzura

Nested Class Summary
`class` | `WsdlGotoTestStep.GotoCondition`

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary

Fields inherited from interface com.eviware.soapui.model.testsuite.TestStep
`DISABLED_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlGotoTestStep(WsdlTestCase testCase, com.eviware.soapui.config.TestStepConfig config, boolean forLoadTest)`

Method Summary
`WsdlGotoTestStep.GotoCondition` | `addCondition(java.lang.String name)`
`boolean` | `cancel()`
`WsdlGotoTestStep.GotoCondition` | `getConditionAt(int index)`
`int` | `getConditionCount()`
`void` | `postInit(com.eviware.soapui.config.TestStepConfig config)` Called after creation of all teststeps, should be used for inter-test-step initializations
`void` | `release()`
`void` | `removeConditionAt(int index)`
`void` | `resetConfigOnMove(com.eviware.soapui.config.TestStepConfig config)` Called from WsdlTestCase when moving a teststep due to no move functionality in xmlbeans generated arrays.
`TestStepResult` | `run(TestRunner runner, TestRunContext context)`
`WsdlGotoTestStep.GotoCondition` | `runConditions(WsdlTestRequestStep previousStep)`

Methods inherited from class com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStep
`addProperty, addTestStepListener, clone, createPanelBuilder, deleteProperty, dependsOn, finish, firePropertyAdded, firePropertyRemoved, firePropertyRenamed, firePropertyValueChanged, getProperty, getPropertyNames, getPropertyValue, getRequiredInterfaces, getTestCase, getTestStepTitle, hasEditor, isDisabled, isForLoadTest, prepare, propertyRenamed, removeTestStepListener, setDisabled, setPropertyValue`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getDescription, getIcon, getName, getParent, getSettings, getWsdlModelItemByName, onSave, setConfig, setDescription, setIcon, setName, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### WsdlGotoTestStep

    public WsdlGotoTestStep(WsdlTestCase testCase,
                            com.eviware.soapui.config.TestStepConfig config,
                            boolean forLoadTest)

Method Detail

### postInit

    public void postInit(com.eviware.soapui.config.TestStepConfig config)

  Description copied from class: `WsdlTestStep`
  Called after creation of all teststeps, should be used for inter-test-step initializations

  Overrides:
    `postInit` in class `WsdlTestStep`

### resetConfigOnMove

    public void resetConfigOnMove(com.eviware.soapui.config.TestStepConfig config)

  Description copied from class: `WsdlTestStep`
  Called from WsdlTestCase when moving a teststep due to no move functionality in xmlbeans generated arrays.

  Overrides:
    `resetConfigOnMove` in class `WsdlTestStep`
  Parameters:
    `config` - the new config to use, will be a copy of the existing one. The current will be invalid

### run

    public TestStepResult run(TestRunner runner,
                              TestRunContext context)

### runConditions

    public WsdlGotoTestStep.GotoCondition runConditions(WsdlTestRequestStep previousStep)

### cancel

    public boolean cancel()

  Specified by:
    `cancel` in interface `TestStep`
  Overrides:
    `cancel` in class `WsdlTestStep`

### getConditionCount

    public int getConditionCount()

### getConditionAt

    public WsdlGotoTestStep.GotoCondition getConditionAt(int index)

### addCondition

    public WsdlGotoTestStep.GotoCondition addCondition(java.lang.String name)

### removeConditionAt

    public void removeConditionAt(int index)

### release

    public void release()

  Overrides:
    `release` in class `AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.